indexing
  description: "Visitor to display the prices of pieces of computer equipment"

deferred class PRICING_VISITOR
  inherit PART_VISITOR

-----------------------------
feature {ANY} -- Queries

total : REAL -- Sum of the net_prices of equipment

-----------------------------
feature {ANY} -- Application

visit_bus (part : BUS) is
  do
    add_to_total(part)
    part.visit_children(Current)
  end

visit_cabinet (part : CABINET) is
  do
  	add_to_total(part)
    part.visit_children(Current)
  end
  
visit_card (part : CARD) is
  do
  	add_to_total(part)
  end

visit_chassis (part : CHASSIS) is
  do
  	add_to_total(part)
    part.visit_children(Current)
  end
  
visit_disk (part : DISK) is
  do
  	add_to_total(part)
  end

-----------------------------
feature {NONE} -- Support

add_to_total(part : PART) is deferred end
  --  Add the appropriate price of the part to the total 

end
