indexing
  description: "Visitor to display the prices of pieces of computer equipment"

class PRICING_VISITOR_NET
  inherit PRICING_VISITOR

create execute

-----------------------------
feature {NONE} -- Execution

execute(part : PART) is
  -- Compute the price of the part
  do
    part.accept(Current)
  end
 
-----------------------------
feature {NONE} -- Support

add_to_total(part : PART) is
  --  Add the net price of the part to the total 
  do
    total := total + part.cost * part.profit_margin
  end

end
